### Method

# Foundry DependencyProvider list_dependencies

#### Declaration [src]

    DexFuture*
    foundry_dependency_provider_list_dependencies (
      FoundryDependencyProvider* self,
      FoundryConfig* config,
      FoundryDependency* parent
    )

#### Description [src]

Retrieves a list of dependencies for `config`.

`parent` may be set to a previously provided `FoundryDependency` in which case the provider must list the dependencies of that dependency or reject with error if unsupported. `G_IO_ERROR_NOT_SUPPORTED` is the preferred error code for this.

#### Parameters

`config`

  Type: `FoundryConfig`

  A `FoundryConfig`.

  The data is owned by the caller of the method.

`parent`

  Type: `FoundryDependency`

  A `FoundryDependency` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryDependency` or rejects with an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.